View Issue Details

IDProjectCategoryView StatusLast Update
13345Bug reports[All Projects] Survey designpublic2018-08-07 17:01
ReporterBig_Lemon Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.13.x 
Summary13345: showpopups in config.php seems to have no effect anymore
Description

I want to hide the warning popups, but setting showpopups to 0 seems to have no effect anymore.

It would be cool to have this setting for templates.

Steps To Reproduce

set 'showpopups'=>0 in config.php

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgresql
Server OS (if known)Ubuntu 16.04 LTS
Webserver software & version (if known)Apache 2
PHP Version7

Activities

ollehar

ollehar

2018-02-14 12:22

administrator   ~46439

Please always attach a survey that reproduces the issue, and/or a screenshot.

Big_Lemon

Big_Lemon

2018-02-15 08:36

reporter   ~46498

No Problem, please find the Screen attached. There is a second error as well in the screenshot.
The translation in the inside warning is doubled, just with other words.

My expectation is the pop warning text (only one sentence) as inside warning with 'showpopups'=>0 in config.php

I got this information from the documantation:

"
showpopups: Show popup messages if mandatory or conditional questions have not been answered correctly:
'1'=Show popup message (default);
'0'=Show message on page instead;
'-1'=Do not show the message at all (in this case, users will still see the question-specific tips indicating which questions must be answered).
"

https://manual.limesurvey.org/Optional_settings/de



Popup.PNG (76,494 bytes)
Popup.PNG (76,494 bytes)
DenisChenu

DenisChenu

2018-06-21 11:26

developer   ~48259

For -1 : it's a new feature, and think you can use a css class easily.

I think the first part must be always send in HTML (for accessibility and no-js) but hide in some condition s(in was the case in answer_html/3.0-prealpha)

guest

guest

2018-07-03 16:36

viewer   ~48444

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27581

dominikvitt

dominikvitt

2018-07-03 16:48

developer   ~48445

This issue is fixed in the latest version of LS .
By setting 'showpopups'=>0 in config.php, you should be able to hide popups.

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48715

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 4d12aea8

2018-07-03 16:35:36

Dominik Vitt

Details Diff
Fixed issue 13345: showpopups in config.php seems to have no effect anymore Affected Issues
13345
mod - application/config/config-defaults.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - assets/packages/template-core/template-core.js Diff File

Issue History

Date Modified Username Field Change
2018-02-14 01:17 Big_Lemon New Issue
2018-02-14 12:22 ollehar Note Added: 46439
2018-02-14 12:22 ollehar Status new => feedback
2018-02-15 08:36 Big_Lemon File Added: Popup.PNG
2018-02-15 08:36 Big_Lemon Note Added: 46498
2018-02-15 08:36 Big_Lemon Status feedback => new
2018-03-05 11:42 LouisGac Sticky Issue No => Yes
2018-03-05 15:15 LouisGac Assigned To => LouisGac
2018-03-05 15:15 LouisGac Status new => assigned
2018-06-18 13:24 LouisGac Assigned To LouisGac => dominikvitt
2018-06-21 11:26 DenisChenu Note Added: 48259
2018-07-03 16:36 Changeset attached => LimeSurvey master 4d12aea8
2018-07-03 16:36 guest Note Added: 48444
2018-07-03 16:36 guest Resolution open => fixed
2018-07-03 16:48 dominikvitt Status assigned => resolved
2018-07-03 16:48 dominikvitt Fixed in Version => 3.13.x
2018-07-03 16:48 dominikvitt Note Added: 48445
2018-07-25 15:10 LouisGac Sticky Issue Yes => No
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48715